/api/v1/analytics/hourly-profile
GET
/api/v1/analytics/hourly-profile
const url = 'https://api.endless.zaia.app/api/v1/analytics/hourly-profile';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.endless.zaia.app/api/v1/analytics/hourly-profileRetrieves a 24x7 hourly message profile for the selected period.
Parameters
Seção intitulada “Parameters”Query Parameters
Seção intitulada “Query Parameters”channelIds
Any of:
Array<string>
A UUID v4 string that identifies an entity.
string format: uuid
rangeEnd
The end date of the analytics period.
string format: date-time
The end date of the analytics period.
rangeStart
The start date of the analytics period.
string format: date-time
The start date of the analytics period.
responderIds
Any of:
Array<string>
A UUID v4 string that identifies an entity.
string format: uuid
Responses
Seção intitulada “Responses”Hourly analytics profile retrieved successfully.
Media typeapplication/json
Array<object>
object
assistant
required
integer
hour
required
integer
support
required
integer
total
required
integer
user
required
integer
weekday
required
integer
Examplegenerated
[ { "assistant": 1, "hour": 1, "support": 1, "total": 1, "user": 1, "weekday": 1 }]Unauthorized.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}